## class OSGPARTICLE_EXPORT osgParticle::ModularEmitter

> An emitter class that holds three objects to control the creation of particles.

## Inheritance:

### Public Methods

ModularEmitter()
ModularEmitter(const ModularEmitter &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_Node(osgParticle, ModularEmitter)
inline Counter* getCounter()
  Get the counter object
inline const Counter* getCounter() const
  Get the const Counter object
inline void setCounter(Counter* c)
  Set the Counter object
inline Placer* getPlacer()
  Get the Placer object
inline const Placer* getPlacer() const
  Get the const Placer object.
inline void setPlacer(Placer* p)
  Set the Placer object
inline Shooter* getShooter()
  Get the Shooter object
inline const Shooter* getShooter() const
  Get the const Shooter object
inline void setShooter(Shooter* s)
  Set the Shooter object

### Protected Methods

virtual ~ModularEmitter()
ModularEmitter& operator=(const ModularEmitter &)
void emit(double dt)

### Inherited from Emitter:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
virtual void accept(osg::NodeVisitor& nv)
inline const Particle& getParticleTemplate() const
inline void setParticleTemplate(const Particle &p)
inline bool getUseDefaultTemplate() const
inline void setUseDefaultTemplate(bool v)
inline void process(double dt)

### Inherited from ParticleProcessor:

### Public Methods

inline ReferenceFrame getReferenceFrame() const
void traverse(osg::NodeVisitor &nv)
inline ParticleProcessor::ReferenceFrame getReferenceFrame() const
inline void setReferenceFrame(ReferenceFrame rf)
inline bool isEnabled() const
inline void setEnabled(bool v)
inline ParticleSystem* getParticleSystem()
inline const ParticleSystem* getParticleSystem() const
inline void setParticleSystem(ParticleSystem* ps)
inline void setEndless(bool type)
inline bool isEndless() const
inline void setLifeTime(double t)
inline double getLifeTime() const
inline void setStartTime(double t)
inline double getStartTime() const
inline void setCurrentTime(double t)
inline double getCurrentTime() const
inline void setResetTime(double t)
inline double getResetTime() const
inline bool computeBound() const
inline const osg::Matrix& getLocalToWorldMatrix()
inline const osg::Matrix& getWorldToLocalMatrix()
inline osg::Vec3 transformLocalToWorld(const osg::Vec3 &P)
inline osg::Vec3 transformWorldToLocal(const osg::Vec3 &P)
inline osg::Vec3 rotateLocalToWorld(const osg::Vec3 &P)
inline osg::Vec3 rotateWorldToLocal(const osg::Vec3 &P)

### Public Members

enum ReferenceFrame

## Documentation

> An emitter class that holds three objects to control the creation of particles. These objects are a counter, a placer and a shooter. The counter controls the number of particles to be emitted at each frame; the placer must initialize the particle's position vector, while the shooter initializes its velocity vector. You can use the predefined counter/placer/shooter classes, or you can create your own.

`ModularEmitter()`

`ModularEmitter(const ModularEmitter &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Node(osgParticle, ModularEmitter)`

`virtual ~ModularEmitter()`

`ModularEmitter& operator=(const ModularEmitter &)`

`void emit(double dt)`

`inline Counter* getCounter()`
  Get the counter object

`inline const Counter* getCounter() const`
  Get the const Counter object

`inline void setCounter(Counter* c)`
  Set the Counter object

`inline Placer* getPlacer()`
  Get the Placer object

`inline const Placer* getPlacer() const`
  Get the const Placer object.

`inline void setPlacer(Placer* p)`
  Set the Placer object

`inline Shooter* getShooter()`
  Get the Shooter object

`inline const Shooter* getShooter() const`
  Get the const Shooter object

`inline void setShooter(Shooter* s)`
  Set the Shooter object

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.